Writer Struct Reference

## Data Fields

const AVClass * | priv_class
| private class of the writer, if any More...
int | priv_size
| private size for the writer context More...
const char * | name
int(* | init )(WriterContext *wctx)
void(* | uninit )(WriterContext *wctx)
void(* | print_section_header )(WriterContext *wctx)
void(* | print_section_footer )(WriterContext *wctx)
void(* | print_integer )(WriterContext *wctx, const char *, long long int)
void(* | print_rational )(WriterContext *wctx, AVRational *q, char *sep)
void(* | print_string )(WriterContext *wctx, const char *, const char *)
int | flags
| a combination or WRITER_FLAG_* More...

## Detailed Description

Definition at line 441 of file fftools_ffprobe.c.

## Field Documentation

## flags

int Writer::flags

a combination or WRITER_FLAG_*

Definition at line 454 of file fftools_ffprobe.c.

## init

int(* Writer::init) (WriterContext *wctx)

Definition at line 446 of file fftools_ffprobe.c.

## name

const char* Writer::name

Definition at line 444 of file fftools_ffprobe.c.

## print_integer

void(* Writer::print_integer) (WriterContext *wctx, const char *, long long int)

Definition at line 451 of file fftools_ffprobe.c.

## print_rational

void(* Writer::print_rational) (WriterContext *wctx, AVRational *q, char *sep)

Definition at line 452 of file fftools_ffprobe.c.

## print_section_footer

void(* Writer::print_section_footer) (WriterContext *wctx)

Definition at line 450 of file fftools_ffprobe.c.

## print_section_header

void(* Writer::print_section_header) (WriterContext *wctx)

Definition at line 449 of file fftools_ffprobe.c.

## print_string

void(* Writer::print_string) (WriterContext *wctx, const char *, const char *)

Definition at line 453 of file fftools_ffprobe.c.

## priv_class

const AVClass* Writer::priv_class

private class of the writer, if any

Definition at line 442 of file fftools_ffprobe.c.

## priv_size

int Writer::priv_size

private size for the writer context

Definition at line 443 of file fftools_ffprobe.c.

## uninit

void(* Writer::uninit) (WriterContext *wctx)

Definition at line 447 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c